New Light partners with Greenstep to bring agentic finance to the NordicsLight partners with Greenstep Read the announcement

Start e-invoicing onboarding

POST
https://api.light.inc/v1/einvoicing/onboardings

Starts the registration of a company entity on an e-invoice network.

Permission: integrations:create (COMPANY_ADMIN)

Authorization

Send one of these on every request. See Authentication for how to get credentials.

  • API key

    Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.

  • Bearer token

Headers

  • X-Idempotency-Key string

Request body

application/json;charset=UTF-8

  • companyEntityId string · uuid

  • network stringrequired

    ⚠️ This enum is not exhaustive; new values may be added in the future.

    One of DE_EMAIL FINVOICE FR_PA MYDATA NEMHANDEL PEPPOL PORTUGUESE_TAX_REPORTING SDI SII VERIFACTU

  • sendingOnly boolean

Response

  • id string · uuid

  • companyEntityId string · uuid

  • network string

    ⚠️ This enum is not exhaustive; new values may be added in the future.

    One of DE_EMAIL FINVOICE FR_PA MYDATA NEMHANDEL PEPPOL PORTUGUESE_TAX_REPORTING SDI SII VERIFACTU

  • sendingOnly boolean

    True when the entity only sends e-invoices on the network

  • status string

    ⚠️ This enum is not exhaustive; new values may be added in the future.

    One of CREATED PENDING_VERIFICATION REGISTRATION_PENDING REGISTRATION_COMPLETED REGISTRATION_FAILED

  • easCode string

  • einvoiceAddress string

  • failureContext object

    Failure context when vendor onboarding fails.

    • name string

      The error name

    • type string

      The error type

      ⚠️ This enum is not exhaustive; new values may be added in the future.

      One of BAD_REQUEST UNAUTHORIZED FORBIDDEN NOT_FOUND CONFLICT UNPROCESSABLE_CONTENT

    • errors array of object

      List of errors providing details about what went wrong

      • type string

        A string code identifying the error type

      • message string

        A human-readable message providing more details about the error

      • path array of string

        Optional path of the error when the error is for a specific field. Used mostly on BAD_REQUEST errors, that path will match the field name on the request object

      • context object

        Optional context providing additional information about the error. This can include any relevant data that might help in understanding or resolving the error

  • createdAt string · date-time